## org.eclipse.amp.amf.parameters.aPar
Interface Parameter

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ParameterImpl

    public interface Parameter

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Parameter'.

The following features are supported:

- `Attribute`
- `Value`

See Also:
  `AParPackage.getParameter()`

Method Summary
`SAttribute` `getAttribute()` Returns the value of the 'Attribute' reference.
`Value` `getValue()` Returns the value of the 'Value' containment reference.
`void` `setAttribute(SAttribute value)` Sets the value of the '`Attribute`' reference.
`void` `setValue(Value value)` Sets the value of the '`Value`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAttribute

    SAttribute getAttribute()

  Returns the value of the 'Attribute' reference.

  If the meaning of the 'Attribute' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `setAttribute(SAttribute)`, `AParPackage.getParameter_Attribute()`

### setAttribute

    void setAttribute(SAttribute value)

  Sets the value of the '`Attribute`' reference.

  Parameters:
    `value` - the new value of the 'Attribute' reference.
  See Also:
    `getAttribute()`

### getValue

    Value getValue()

  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(Value)`, `AParPackage.getParameter_Value()`

### setValue

    void setValue(Value value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`